<?php 
/*
* @author Tim Black
* @email tim@alwaysreformed.com
* @license GPL
* @website http://alwaysreformed.com
*/

defined('_JEXEC') or die('Direct Access to this location is not allowed.');

?>

<div id="slogans">
    <?php
    
    foreach (preg_split("[\n|\r]",$params->get('slogans', '')) as $line){
        $parts = explode("|",$line);
        if ($parts[1]!='') echo "<div><a href='".$parts[1]."'>".$parts[0]."</a></div>";
        else echo "<div>".$parts[0]."</div>";
    }
    
    ?>
</div>

<?php

$document =& JFactory::getDocument();
$styles = "#slogans div { display: none; }";
$document->addStyleDeclaration($styles);

?>

<script type="text/javascript">
//function startSloganRotation(selector,delay,transition){ 
window.addEvent('domready', function() {
    var selector = '#slogans div';
    var delay = 8000;
    var transition = 3000;
    var layers = $$(selector); 
    //var i = 0; 
    var i = Math.floor(Math.random()*layers.length);
    layers[i].setStyle('display','block');
    delay = (delay == undefined)? 6000:delay; 
    setInterval(function(){ 
        var test = false;
        //var test = true; // This is an attempt to get the fade out effect to work
        if (test==true){
	        // fade out
	        //layers[i].fx = layers[i].effect('opacity', {duration: transition,fps:100}).start(1,0);
	        //layers[i].fx = layers[i].effect('opacity', {duration: transition,fps:100}).start(1,0);
	        var fx = layers[i].effect('opacity', {duration: transition,fps:100});
	        var fx2 = layers[i].effect('display');
	        fx.start(1,0).chain(function(){fx2.start('block','none')});
	        //layers[i].fx.chain(function(){this.start({'display':'none'})});
	        
	        // hide after fade
	        //layers[i].setStyle('display','none');
	        
	        // pick next element
	        //i = (i == layers.length-1)? 0 : i+1;
	        i = Math.floor(Math.random()*layers.length);
	
	        // fade in
	        layers[i].setStyle('display','block');
	        layers[i].fx = layers[i].effect('opacity', {duration: transition,fps:100}).start(0,1);
	        //layers[i].fx = layers[i].effect('opacity', {duration: transition,fps:100}).start(0,1).chain(function(){this.start.delay(delay,this,{'display':'block'}); });
        }else{
	        // fade out
	        layers[i].fx = layers[i].effect('opacity', {duration: transition,fps:100}).start(1,0);
	        layers[i].setStyle('display','none');
	        
	        // pick next element
	        //i = (i == layers.length-1)? 0 : i+1;
	        i = Math.floor(Math.random()*layers.length);
	
	        // fade in
	        layers[i].setStyle('display','block');
	        layers[i].fx = layers[i].effect('opacity', {duration: transition,fps:100}).start(0,1);
	        //layers[i].fx = layers[i].effect('opacity', {duration: transition,fps:100}).start(0,1).chain(function(){this.start.delay(delay,this,{'display':'block'}); });
        }
    },delay); 
}); 
</script>
